#include <bits/errno-return.h>
#include <sys/mman.h>
#include <sys/syscall.h>
#include <unistd.h>

extern "C"
{
    void* allocate_memory(size_t size, int flags)
    {
        long rc = syscall(SYS_allocate_memory, size, flags);
        __errno_return(rc, void*);
    }

    int deallocate_memory(void* address, size_t size)
    {
        long rc = syscall(SYS_deallocate_memory, address, size);
        __errno_return(rc, int);
    }
}
